Bug 1448071 - [vSphere] UI-RBAC: undefined method `all' for nil:NilClass error appears while setting ownership for template
Summary: [vSphere] UI-RBAC: undefined method `all' for nil:NilClass error appears whil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: lgalis
QA Contact: Ruslana Babyuk
URL:
Whiteboard: ui:rbac
Depends On: 1445244
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 13:26 UTC by Satoe Imaishi
Modified: 2017-05-31 15:08 UTC (History)
11 users (show)

Fixed In Version: 5.8.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1445244
Environment:
Last Closed: 2017-05-31 15:08:53 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
error_screen (70.88 KB, image/png)
2017-05-15 15:01 UTC, Ruslana Babyuk
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-04 13:33:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/2ea55642a3fa8e713dd14143e346d66c5fbd5b50

commit 2ea55642a3fa8e713dd14143e346d66c5fbd5b50
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Apr 27 09:54:10 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 4 09:29:14 2017 -0400

    Merge pull request #1174 from lgalis/fix_ownership_link_for_templates
    
    Fix ownership link for infrastructure templates
    (cherry picked from commit 6f849211ce3468204b728ca5123d7529c7e332e7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448071

 .../application_controller/ci_processing.rb        |  2 ++
 .../application_controller/ci_processing_spec.rb   | 27 ++++++++++++++++++++++
 2 files changed, 29 insertions(+)

Comment 3 Ruslana Babyuk 2017-05-15 15:01:03 UTC
The issue is still present in 5.8.0.14 build, but this time I've got another error:

[----] I, [2017-05-15T10:51:56.921922 #3034:18c9a3c]  INFO -- : Started GET "/miq_template/ownership_form_fields/430" for 127.0.0.1 at 2017-05-15 10:51:56 -0400
[----] F, [2017-05-15T10:51:56.936397 #3034:18c9a3c] FATAL -- :   
[----] F, [2017-05-15T10:51:56.936566 #3034:18c9a3c] FATAL -- : ActionController::RoutingError (No route matches [GET] "/miq_template/ownership_form_fields/430"):
[----] F, [2017-05-15T10:51:56.936640 #3034:18c9a3c] FATAL -- :   
[----] F, [2017-05-15T10:51:56.936778 #3034:18c9a3c] FATAL -- : actionpack (5.0.2) lib/action_dispatch/middleware/debug_exceptions.rb:53:in `call'
actionpack (5.0.2) lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
railties (5.0.2) lib/rails/rack/logger.rb:36:in `call_app'
railties (5.0.2) lib/rails/rack/logger.rb:26:in `call'
actionpack (5.0.2) lib/action_dispatch/middleware/request_id.rb:24:in `call'
rack (2.0.2) lib/rack/method_override.rb:22:in `call'
rack (2.0.2) lib/rack/runtime.rb:22:in `call'
activesupport (5.0.2) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
actionpack (5.0.2) lib/action_dispatch/middleware/executor.rb:12:in `call'
rack (2.0.2) lib/rack/sendfile.rb:111:in `call'
railties (5.0.2) lib/rails/engine.rb:522:in `call'
puma (3.3.0) lib/puma/configuration.rb:224:in `call'
puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
puma (3.3.0) lib/puma/server.rb:406:in `process_client'
puma (3.3.0) lib/puma/server.rb:271:in `block in run'
puma (3.3.0) lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] I, [2017-05-15T10:51:57.045861 #3034:18c6670]  INFO -- : Started GET "/static/notification_drawer/notification-heading.html" for 127.0.0.1 at 2017-05-15 10:51:57 -0400
[----] I, [2017-05-15T10:51:57.049902 #3034:18c6670]  INFO -- : Processing by StaticController#show as HTML
[----] I, [2017-05-15T10:51:57.050058 #3034:18c6670]  INFO -- :   Parameters: {"id"=>"notification_drawer/notification-heading.html"}


My steps:
1. Add infra provider, navigate to provider detail page
2. Select templates -> result: templates list opens
3. Select one template from the list
4.Configuration -> Set ownership

Comment 4 Ruslana Babyuk 2017-05-15 15:01:56 UTC
Created attachment 1279033 [details]
error_screen

+ screenshot

Comment 5 Ruslana Babyuk 2017-05-15 15:20:04 UTC
Hi,

Could you please check this error for 5.8.0.14 build.

Thanks,
Ruslana

Comment 8 errata-xmlrpc 2017-05-31 15:08:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.